%define upstream_name    Regexp-Common-time
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Date and time regexps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Regexp-Common-time-0.04-qw-parenthesis.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module creates regular expressions that can be used for parsing dates
and times. See the Regexp::Common manpage for a general description of how
to use this interface.

Parsing dates is a dirty business. Dates are generally specified in one of
three possible orders: year/month/day, month/day/year, or day/month/year.
Years can be specified with four digits or with two digits (with
assumptions made about the century). Months can be specified as one digit,
two digits, as a spelled-out name, or as a three-letter abbreviation. Day
numbers can be one digit or two digits, with limits depending on the month
(and, in the case of February, even the year). Also, different people use
different punctuation for separating the various elements.

A human can easily recognize that "October 21, 2005" and "21.10.05" refer
to the same date, but it's tricky to get a program to come to the same
conclusion. This module attempts to make it possible to do so, with a
minimum of difficulty.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .qw-parenthesis

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Dec 20 2013 sander85 <sander85> 0.40.0-3.mga4
+ Revision: 559100
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 372295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.40.0-1.mga3
+ Revision: 335128
- imported package perl-Regexp-Common-time

